Package org.apache.sysds.common

# Enum Class Types.DataType

java.lang.Object
java.lang.Enum<Types.DataType>
org.apache.sysds.common.Types.DataType

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.DataType>`, `Constable`

Enclosing interface:
  Types

public static enum Types.DataType extends Enum<Types.DataType>
Data types that can contain different ValueTypes internally.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ENCRYPTED_CIPHER`
`ENCRYPTED_PLAIN`
`FRAME`
Two or One Dimensional heterogeneous DataType
`LIST`
List primitive able to contain any other DataType at indexes
`MATRIX`
Two or One Dimensional numeric DataType.
`SCALAR`
One cell numeric or String based DataType
`TENSOR`
N Dimensional numeric DataType
`UNKNOWN`
Unknown DataType, used to indicate uncertainty, and for testing

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFrame()`
`boolean`
`isList()`
`boolean`
`isMatrix()`
`boolean`
`isMatrixOrFrame()`
`boolean`
`isScalar()`
`boolean`
`isTensor()`
`boolean`
`isUnknown()`
`static Types.DataType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.DataType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TENSOR

public static final Types.DataType TENSOR
N Dimensional numeric DataType

### MATRIX

public static final Types.DataType MATRIX
Two or One Dimensional numeric DataType. We use internally Matrix for both Vectors and Matrices

### SCALAR

public static final Types.DataType SCALAR
One cell numeric or String based DataType

### FRAME

public static final Types.DataType FRAME
Two or One Dimensional heterogeneous DataType

### LIST

public static final Types.DataType LIST
List primitive able to contain any other DataType at indexes

### UNKNOWN

public static final Types.DataType UNKNOWN
Unknown DataType, used to indicate uncertainty, and for testing

### ENCRYPTED_CIPHER

public static final Types.DataType ENCRYPTED_CIPHER

### ENCRYPTED_PLAIN

public static final Types.DataType ENCRYPTED_PLAIN

## Method Details

### values

public static Types.DataType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.DataType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isMatrix

public boolean isMatrix()

### isTensor

public boolean isTensor()

### isFrame

public boolean isFrame()

### isMatrixOrFrame

public boolean isMatrixOrFrame()

### isScalar

public boolean isScalar()

### isList

public boolean isList()

### isUnknown

public boolean isUnknown()